#include <nodelet/nodelet.h>
#include <ros/ros.h>
#include "autonom_a/Num.h"

namespace autonom_a
{
	class NodeletListener : public nodelet::Nodelet
	{
		public:
			virtual void onInit();
			NodeletListener(ros::NodeHandle &nh, std::string &name);
			NodeletListener();
			~NodeletListener();
		private:
			void topicCallback1(const Num::ConstPtr& msg);
			void topicCallback2(const Num::ConstPtr& msg);
			ros::NodeHandle nh_;
			std::string name_;
			ros::Subscriber topic1_sub;
			ros::Subscriber topic2_sub;
	};
}
